#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           polkit-kde-agent-1
Version: 6.3.2
Release:        %mkrel %rel
Summary:        PolicyKit authentication agent for KDE
License:        GPLv2
Group:          Graphical desktop/KDE
URL:            https://invent.kde.org/plasma/polkit-kde-agent-1
# tarball gererated by releaseme script
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

# Mageia patches (300-400)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)

BuildRequires:  cmake(PolkitQt6-1) >= 0.103.0

Provides:       polkit-agent
Provides:       polkit-kde-1

%description
PolicyKit authentication agent for KDE.

%files -f polkit-kde-authentication-agent-1.lang
%_kf6_sysconfdir/xdg/autostart/polkit-kde-authentication-agent-1.desktop
%{_libexecdir}/polkit-kde-authentication-agent-1
%_kf6_knotificationsdir/policykit1-kde.notifyrc
%_kf6_applicationsdir/org.kde.polkit-kde-authentication-agent-1.desktop
%_userunitdir/plasma-polkit-agent.service

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang polkit-kde-authentication-agent-1


%changelog
* Tue Feb 25 2025 daviddavid <daviddavid> 6.3.2-1.mga10
+ Revision: 2152493
- New version 6.3.2

* Tue Feb 18 2025 daviddavid <daviddavid> 6.3.1-1.mga10
+ Revision: 2149420
- New version 6.3.1

* Tue Feb 11 2025 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2146948
- New version 6.3.0

* Thu Jan 23 2025 daviddavid <daviddavid> 6.2.91-1.mga10
+ Revision: 2140846
- New version 6.2.91

* Sat Jan 11 2025 daviddavid <daviddavid> 6.2.90-1.mga10
+ Revision: 2137989
- New version 6.2.90

* Wed Jan 01 2025 daviddavid <daviddavid> 6.2.5-1.mga10
+ Revision: 2134204
- New version 6.2.5

* Tue Nov 26 2024 daviddavid <daviddavid> 6.2.4-1.mga10
+ Revision: 2119078
- New version 6.2.4

* Sat Nov 09 2024 daviddavid <daviddavid> 6.2.3-1.mga10
+ Revision: 2113188
- New version 6.2.3

* Tue Oct 22 2024 daviddavid <daviddavid> 6.2.2-1.mga10
+ Revision: 2110070
- New version 6.2.2

* Wed Oct 16 2024 daviddavid <daviddavid> 6.2.1-1.mga10
+ Revision: 2107244
- New version 6.2.1

* Wed Oct 09 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2104475
- New version 6.2.0

* Thu Sep 12 2024 neoclust <neoclust> 6.1.90-1.mga10
+ Revision: 2095425
- New version 6.1.90

* Wed Aug 07 2024 daviddavid <daviddavid> 6.1.4-1.mga10
+ Revision: 2083937
- New version 6.1.4

* Tue Jul 02 2024 daviddavid <daviddavid> 6.1.2-1.mga10
+ Revision: 2079144
- New version 6.1.2

* Tue Jun 25 2024 daviddavid <daviddavid> 6.1.1-1.mga10
+ Revision: 2076744
- New version 6.1.1

* Tue Jun 18 2024 neoclust <neoclust> 6.1.0-1.mga10
+ Revision: 2074854
- New version 6.1.0

* Wed Jun 05 2024 neoclust <neoclust> 6.0.90-1.mga10
+ Revision: 2069881
- New version 6.0.90

* Tue Apr 16 2024 daviddavid <daviddavid> 6.0.4-1.mga10
+ Revision: 2057945
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2052518
- New version 6.0.3

* Tue Mar 12 2024 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2049426
- New version 6.0.2

* Thu Mar 07 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2048174
- New version 6.0.1

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2045032
- New version 6.0.0

* Fri Feb 02 2024 neoclust <neoclust> 5.93.0-1.mga10
+ Revision: 2036821
- New version 5.93.0

* Wed Jan 10 2024 neoclust <neoclust> 5.92.0-1.mga10
+ Revision: 2029682
- New version 5.92.0

* Mon Jan 01 2024 neoclust <neoclust> 5.91.0-1.mga10
+ Revision: 2025725
- New version 5.91.0
- New version 5.90.0
- New version 5.90.0

* Mon Nov 13 2023 neoclust <neoclust> 5.27.80-1.mga10
+ Revision: 2006638
- New version 5.27.80

* Wed Oct 25 2023 daviddavid <daviddavid> 5.27.9-1.mga10
+ Revision: 2001143
- New version 5.27.9

* Wed Sep 20 2023 daviddavid <daviddavid> 5.27.8-1.mga10
+ Revision: 1988271
- New version 5.27.8

* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958076
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4.1-1.mga9
+ Revision: 1952002
- New version 5.27.4.1
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949112
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945822
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944831
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942098
- New version 5.27.0

* Mon Jan 23 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935105
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930094
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923146
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907565
- New version 5.26.3
- New version 5.26.2

* Fri Sep 16 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1889280
- New version 5.25.90

* Fri Aug 05 2022 neoclust <neoclust> 5.25.4-1.mga9
+ Revision: 1875491
- New version 5.25.4

* Tue Jul 26 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872305
- New version 5.25.3
- New version 5.24.5

* Wed Apr 06 2022 umeabot <umeabot> 5.24.4-2.mga9
+ Revision: 1845638
- Mageia 9 Mass Rebuild
+ neoclust <neoclust>
- New version 5.24.4

* Sun Jan 02 2022 neoclust <neoclust> 5.23.4-1.mga9
+ Revision: 1766189
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 5.23.3-1.mga9
+ Revision: 1756854
- New version 5.23.3

* Fri Oct 08 2021 neoclust <neoclust> 5.23.0-1.mga9
+ Revision: 1750105
- New version 5.23.0
- New version 5.22.90

* Thu Jul 15 2021 neoclust <neoclust> 5.22.3-1.mga9
+ Revision: 1736199
- New version 5.22.3

* Thu May 06 2021 daviddavid <daviddavid> 5.21.5-1.mga9
+ Revision: 1721784
- New version 5.21.5

* Mon Apr 12 2021 daviddavid <daviddavid> 5.21.4-1.mga9
+ Revision: 1715418
- New version 5.21.4

* Thu Mar 18 2021 daviddavid <daviddavid> 5.21.3-1.mga9
+ Revision: 1704294
- New version 5.21.3

* Wed Mar 03 2021 daviddavid <daviddavid> 5.21.2-1.mga9
+ Revision: 1697467
- New version 5.21.2

* Sun Feb 28 2021 daviddavid <daviddavid> 5.21.1-1.mga9
+ Revision: 1694224
- New version 5.21.1

* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654221
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645443
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1640008
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1637761
- New version 5.20.1

* Tue Oct 13 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1635464
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1620816
- New version 5.19.5

* Tue Sep 01 2020 daviddavid <daviddavid> 5.19.4-2.mga8
+ Revision: 1620591
- add mga patch add indication of user as password owner for polkit agent (mga#15124)

* Wed Jul 29 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609624
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 5.19.3-1.mga8
+ Revision: 1603023
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 5.19.2-1.mga8
+ Revision: 1598738
- New version 5.19.2

* Wed Jun 17 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1594031
- New version 5.19.1
+ neoclust <neoclust>
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 5.18.5-1.mga8
+ Revision: 1580783
- New version 5.18.5
- New version 5.18.4.1

* Tue Mar 17 2020 daviddavid <daviddavid> 5.18.3-1.mga8
+ Revision: 1557181
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 5.18.2-1.mga8
+ Revision: 1550397
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 5.18.1-1.mga8
+ Revision: 1548275
- New version 5.18.1

* Thu Feb 20 2020 umeabot <umeabot> 5.18.0-2.mga8
+ Revision: 1547138
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 5.18.0-1.mga8
+ Revision: 1496382
- New version 5.18.0

* Thu Feb 06 2020 neoclust <neoclust> 5.17.90-1.mga8
+ Revision: 1487420
- New version 5.17.90
+ wally <wally>
- build with new cmake macros

* Wed Dec 04 2019 daviddavid <daviddavid> 5.17.4-1.mga8
+ Revision: 1464317
- New version 5.17.4

* Fri Nov 15 2019 daviddavid <daviddavid> 5.17.3-1.mga8
+ Revision: 1460075
- New version 5.17.3

* Wed Oct 30 2019 daviddavid <daviddavid> 5.17.2-1.mga8
+ Revision: 1456786
- New version 5.17.2

* Wed Oct 23 2019 daviddavid <daviddavid> 5.17.1-1.mga8
+ Revision: 1455352
- New version 5.17.1

* Mon Oct 14 2019 neoclust <neoclust> 5.17.0-1.mga8
+ Revision: 1453182
- New version 5.17.0

* Sun Sep 29 2019 neoclust <neoclust> 5.16.90-1.mga8
+ Revision: 1448078
- New version 5.16.90

* Wed Sep 04 2019 neoclust <neoclust> 5.16.5-1.mga8
+ Revision: 1437067
- New version 5.16.5

* Thu Aug 01 2019 neoclust <neoclust> 5.16.4-1.mga8
+ Revision: 1426567
- New version 5.16.4

* Thu Jul 11 2019 neoclust <neoclust> 5.16.3-1.mga8
+ Revision: 1420171
- New version 5.16.3

* Mon Apr 08 2019 neoclust <neoclust> 5.15.4-1.mga7
+ Revision: 1386870
- New version 5.15.4

* Mon Apr 01 2019 umeabot <umeabot> 5.15.3-2.mga7
+ Revision: 1384050
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.15.3-1.mga7
+ Revision: 1374949
- New version 5.15.3

* Thu Feb 28 2019 neoclust <neoclust> 5.15.2-1.mga7
+ Revision: 1370575
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 5.15.1-1.mga7
+ Revision: 1368612
- New version 5.15.1

* Fri Feb 15 2019 neoclust <neoclust> 5.15.0-1.mga7
+ Revision: 1367249
- New version 5.15.0

* Mon Jan 14 2019 neoclust <neoclust> 5.14.5-1.mga7
+ Revision: 1356196
- New version 5.14.5

* Sun Dec 09 2018 neoclust <neoclust> 5.14.4-1.mga7
+ Revision: 1339333
- New version 5.14.4

* Wed Oct 24 2018 neoclust <neoclust> 5.14.2-1.mga7
+ Revision: 1324898
- New version 5.14.2

* Sun Sep 23 2018 umeabot <umeabot> 5.13.4-2.mga7
+ Revision: 1300337
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 neoclust <neoclust> 5.13.4-1.mga7
+ Revision: 1252445
- New version 5.13.4

* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1204462
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1201008
- New version 5.12.1

* Fri Jan 19 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1194783
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 5.11.4-1.mga7
+ Revision: 1185702
- New version 5.11.4

* Fri Oct 27 2017 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1174122
- New version 5.11.2

* Tue Oct 17 2017 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1172408
- New version 5.11.1

* Sun Oct 01 2017 neoclust <neoclust> 5.10.95-1.mga7
+ Revision: 1162415
- New version 5.10.95
- New version 5.10.5

* Sat Jul 22 2017 neoclust <neoclust> 5.10.4-1.mga7
+ Revision: 1128221
- New version 5.10.4
- New version 5.10.3

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1104858
- New version 5.8.7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089044
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078180
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070736
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065166
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064497
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063067
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060292
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057618
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053074
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-5.mga6
+ Revision: 1052703
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-5.mga6
+ Revision: 1048368
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-5.mga6
+ Revision: 1044288
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-5.mga6
+ Revision: 1042576
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-5.mga6
+ Revision: 1041413
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-5.mga6
+ Revision: 1039518
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-5.mga6
+ Revision: 1021890
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-5.mga6
+ Revision: 1014558
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-5.mga6
+ Revision: 1009295
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-5.mga6
+ Revision: 999279
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-5.mga6
+ Revision: 998034
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-5.mga6
+ Revision: 994412
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-5.mga6
+ Revision: 987077
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-4.mga6
+ Revision: 983760
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-4.mga6
+ Revision: 927988
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-4.mga6
+ Revision: 922522
- New version 5.5.3

* Sun Dec 27 2015 neoclust <neoclust> 5.5.2-4.mga6
+ Revision: 915832
- Rebuild against new cmake to have cmake() provides

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-3.mga6
+ Revision: 914859
- New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 5.5.1-3.mga6
+ Revision: 913621
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 910704
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-2.mga6
+ Revision: 908864
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-2.mga6
+ Revision: 904418
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900741
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898276
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889535
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874746
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869664
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 862554
- New version 5.3.95

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850678
- New version KF5 based 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 0.99.1-2.mga5
+ Revision: 738966
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 0.99.1-1.mga5
+ Revision: 734676
- update to 0.99.1

* Tue Sep 16 2014 umeabot <umeabot> 0.99.0-7.mga5
+ Revision: 687712
- Mageia 5 Mass Rebuild

* Thu Nov 28 2013 akien <akien> 0.99.0-6.mga4
+ Revision: 553815
- Adding new translations taken from upstream (unreleased) 0.99.1 version

* Wed Nov 27 2013 matteo <matteo> 0.99.0-5.mga4
+ Revision: 553633
- added Slovenian translation

* Fri Oct 18 2013 umeabot <umeabot> 0.99.0-4.mga4
+ Revision: 517610
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.99.0-3.mga3
+ Revision: 378032
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 25 2011 ahmad <ahmad> 0.99.0-2.mga1
+ Revision: 90337
- Add an upstream patch to bring the auth dialog to the front when it is shown.
  Otherwise it pops up behind the app requesting it and the user never sees it.

* Sat Jan 22 2011 ahmad <ahmad> 0.99.0-1.mga1
+ Revision: 32762
- imported package polkit-kde-agent-1


* Fri Dec 10 2010 Funda Wang <fwang@mandriva.org> 0.99.0-1mdv2011.0
+ Revision: 620236
- shouldusing kde4 cmake macro
- new version 0.99.0

* Sun Nov 21 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.97.1-0.2mdv2011.0
+ Revision: 599348
- using GIT hash in version number was bad idea

* Sat Nov 20 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.97.1-0.g99d1369a.1mdv2011.0
+ Revision: 599298
- update to GIT snapshot that builds and works under current KDE
- new name polkit-kde-agent-1

* Tue May 11 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95.1-3mdv2010.1
+ Revision: 544536
- Add french translation

* Wed Apr 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95.1-2mdv2010.1
+ Revision: 540132
- provides polkit-agent

* Wed Dec 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95.1-1mdv2010.1
+ Revision: 481785
- Fix buildrequires
- Fix BuildRequire
- import polkit-kde-1

